package cz.moneta.test.dsl.util.task.auto.smartauto.disclaimer;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.DocumentsConfirmationPage;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;

import java.util.function.Function;

public class DisclaimerTasks {

    private final Harness harness;

    public DisclaimerTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<DocumentsConfirmationPage, NewCalculationPage> acceptDisclaimer() {
        return start -> start.scrollToDocumentBottom()
                .clickContinue();
    }
}
